Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Class UnitImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.units.UnitImpl

public class UnitImpl
extends BelongingImpl
implements Unit

A unit of measure. Example include ( liter, bag, ream etc.). It is used together with a conversion factor to translate from one unit to another.

See Also:
  `Unit`, `UnitHome`, Serialized Form

Field Summary
`java.lang.String` | `name` name [Unit] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`UnitImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getName()` Get the value of name
`void` | `setName(java.lang.String name)` Set the value of name
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

                        name
       [Unit] <*>------> [String]

Constructor Detail

### UnitImpl

    public UnitImpl()

Method Detail

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface Unit
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface Unit
  Parameters:
    `name` - name to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.